#include "DxLib.h"
#include "JankenProc.h"

static int White;
static int Image_Gu, Image_Tyoki, Image_Pa;
static JankenHand_e PlayerHand, CPUHand;

void DrawObject_Initilize(){
	Image_Gu    = LoadGraph( "摜/[.png" );
	Image_Tyoki = LoadGraph( "摜/傫.png" );
	Image_Pa    = LoadGraph( "摜/ρ[.png" );
	
	White = GetColor( 255, 255, 255 );
}

void DrawObject_Message(  ){
	DrawFormatString( 210, 10, White, "[=Z 傫=X ρ[=C");
	DrawFormatString( 130, 350, White, "" );
	DrawFormatString( 430, 350, White, "" );
	DrawFormatString( 210, 30, White, "G^[L[ŃZbg" );
}

void DrawObject_PlayerHand( JankenHand_e PlayerHand ){ // 1=[ 2=傫 3=ρ[
	if( PlayerHand == JANKEN_HAND_GU ){
		DrawGraph( 80, 120, Image_Gu, TRUE );
	}
	if( PlayerHand == JANKEN_HAND_TYOKI ){
		DrawGraph( 80, 120, Image_Tyoki, TRUE );
	}
	if( PlayerHand == JANKEN_HAND_PA ){
		DrawGraph( 80, 120, Image_Pa, TRUE );
	}
}

void DrawObject_CPUHand( JankenHand_e CPUHand ){ // 1=[ 2=傫 3=ρ[
	if( CPUHand == JANKEN_HAND_GU ){
		DrawGraph( 360, 120, Image_Gu, TRUE );
	}
	if( CPUHand == JANKEN_HAND_TYOKI ){
		DrawGraph( 360, 120, Image_Tyoki, TRUE );
	}
	if( CPUHand == JANKEN_HAND_PA ){
		DrawGraph( 360, 120, Image_Pa, TRUE );
	}
}

void DrawObject_Result_Aiko(){
	DrawFormatString( 280, 300, White, "ŁEEE" );
}

void DrawObject_Result_Kati(){
	DrawFormatString( 280, 300, White, "" );
}

void DrawObject_Result_Make(){
	DrawFormatString( 280, 300, White, "" );
}

